#! /usr/bin/env perl

BEGIN
{
    push(@INC, $ENV{'GLOBUS_LOCATION'} . '/lib/perl');
}

use Globus::Core::Paths;
use Globus::Testing::Container;
use POSIX qw(getcwd);
use Test;
use strict;

my (@tests) = ();
my $pwd = getcwd();
my $java_container = new Globus::Testing::Container({
    type => 'java',
    descriptor => "$pwd/global_security_descriptor.xml",
    security => 1
});
my $java_contact = $java_container->contact() 
    || die "Unable to start Java container\n";

my $exec = 'rendezvous-notification-test';

system {"./$exec"} ($exec,
    "${java_contact}/wsrf/services/RendezvousFactoryService");
